summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/rsync/rsyncd
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-03-05 14:38:10 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-03-05 14:38:10 (GMT)
commitee33ddf6f3657ff6384de9c6e517511f0427ffc7 (patch)
treec02a8afa5bdd1099494f7d436a58dec4bf086b12 /abs/core-testing/rsync/rsyncd
parentd6049e8a38b8babf070b6f2183c336334ed97fd9 (diff)
downloadlinhes_pkgbuild-ee33ddf6f3657ff6384de9c6e517511f0427ffc7.zip
linhes_pkgbuild-ee33ddf6f3657ff6384de9c6e517511f0427ffc7.tar.gz
linhes_pkgbuild-ee33ddf6f3657ff6384de9c6e517511f0427ffc7.tar.bz2
Goodbye chroot-devel.
All things chroot-devel have been moved and split between core and extra
Diffstat (limited to 'abs/core-testing/rsync/rsyncd')
-rw-r--r--abs/core-testing/rsync/rsyncd37
1 files changed, 37 insertions, 0 deletions
diff --git a/abs/core-testing/rsync/rsyncd b/abs/core-testing/rsync/rsyncd
new file mode 100644
index 0000000..e1313dc
--- /dev/null
+++ b/abs/core-testing/rsync/rsyncd
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting rsyncd"
+ [ ! -f /var/run/daemons/rsyncd ] && /usr/bin/rsync --daemon
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ pgrep -of "/usr/bin/rsync --daemon" > /var/run/rsyncd.pid
+ add_daemon rsyncd
+ stat_done
+ fi
+ ;;
+
+ stop)
+ stat_busy "Stopping rsyncd"
+ [ -f /var/run/rsyncd.pid ] && kill `cat /var/run/rsyncd.pid`
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon rsyncd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0